package com.loafle.overflow.crawler;

import java.util.Map;

import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.sensorconfig.model.SensorConfig;

/**
 * Crawler
 */
public interface Crawler {
	String name();
	String toString();
	void auth(Map<String, Object> authInfo) throws OverflowException;
	Map<String, String> get(SensorConfig sensorConfig) throws OverflowException;
}